Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.runtime.conf
Class TimerJobFactoryOption

    java.lang.Object
      org.kie.api.runtime.conf.TimerJobFactoryOption

All Implemented Interfaces:
  Serializable, Option, KieSessionOption, SingleValueKieSessionOption

    public class TimerJobFactoryOption

extends Object
implements SingleValueKieSessionOption

A class for the timer job factory manager configuration.

See Also:
  Serialized Form

Field Summary
`static String` | `PROPERTY_NAME` The property name for the timer job factory manager configuration

Method Summary
`boolean` | `equals(Object obj)`
`static TimerJobFactoryOption` | `get(String timerJobType)` This is a factory method for this timer job factory manager configuration.
`String` | `getPropertyName()` Returns the property name for this option
`String` | `getTimerJobType()` Returns the configured timer job factory manager
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for the timer job factory manager configuration

  See Also:
    Constant Field Values

Method Detail

### get

    public static TimerJobFactoryOption get(String timerJobType)

  This is a factory method for this timer job factory manager configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.

  Parameters:
    `timerJobType` - the identifier for the belie system
  Returns:
    the actual type safe timer job factory manager configuration.

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### getTimerJobType

    public String getTimerJobType()

  Returns the configured timer job factory manager

  Returns:

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.